# IdentityMapper

Implements \FileNameMapper

This mapper does nothing ;)

author | Andreas Aderhold andi@binarycloud.com
author | Hans Lellelid hans@xmpl.org
version | $Id: c534489effaaf9876a0ec7d087e5b37f8521c43c $
package | phing.mappers

### Methods

## The mapper implementation. Basically does nothing in this case.

    main(string $sourceFileName) : array

### Arguments

#### $sourceFileName

`string`

The data the mapper works on.

### Response

`array`

The data after the mapper has been applied

## Ignored here.

    setFrom(string $from) : void

### Arguments

#### $from

`string`

On what this mapper should work

## Ignored here.

    setTo(string $to) : void

### Arguments

#### $to

`string`

To what this mapper should convert the from string